Skip to main content
GET
/
api
/
v2
/
engineering-insights
/
flag-events
List flag events
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/engineering-insights/flag-events \
  --header 'Authorization: <api-key>'
{
  "totalCount": 1200,
  "items": [
    {
      "id": "e3b2b0e0-9e9b-4c9a-8e9a-0e0e0e0e0e0e",
      "projectId": "65baa44ecc4b5bce113bb4f7",
      "projectKey": "default",
      "flagKey": "enable-new-payment-method",
      "eventType": "enabled_targeting",
      "eventTime": "1616425200000",
      "description": "Targeting rule enabled",
      "impact": {
        "size": "medium",
        "percentage": 50,
        "reason": "evaluations",
        "evaluationsSummary": {
          "variations": [
            {
              "value": "true",
              "before": 1000,
              "after": 500
            }
          ]
        }
      },
      "environmentId": "65baa44ecc4b5bce113bb4f7",
      "environmentKey": "production",
      "auditLogEntryId": "e3b2b0e0-9e9b-4c9a-8e9a-0e0e0e0e0e0e",
      "member": {
        "id": "65baa44ecc4b5bce113bb4f7",
        "email": "test@launchdarkly.com",
        "firstName": "<string>",
        "lastName": "<string>"
      },
      "actions": [
        "<string>"
      ],
      "experiments": {
        "totalCount": 1,
        "items": [
          {
            "key": "experiment-1",
            "name": "Experiment 1",
            "iteration": {
              "id": "65baa44ecc4b5bce113bb4f7",
              "status": "running",
              "startedAt": "1655314200000",
              "endedAt": "1656610200000",
              "_links": {}
            },
            "_links": {}
          }
        ]
      }
    }
  ],
  "_links": {
    "next": {
      "href": "/api/v2/engineering-insights/flag-events?after=a4290006-1fd1-4ca5-acf7-9f31fac61cf5",
      "type": "application/json"
    },
    "self": {
      "href": "/api/v2/engineering-insights/flag-events",
      "type": "application/json"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

applicationKey
string<string>

Comma separated list of application keys

query
string<string>

Filter events by flag key

impactSize
string<string>

Filter events by impact size. A small impact created a less than 20% change in the proportion of end users receiving one or more flag variations. A medium impact created between a 20%-80% change. A large impact created a more than 80% change. Options: none, small, medium, large

hasExperiments
boolean<boolean>

Filter events to those associated with an experiment (true) or without an experiment (false)

global
string<string>

Filter to include or exclude global events. Default value is include. Options: include, exclude

expand
string<string>

Expand properties in response. Options: experiments

limit
integer<int64>

The number of deployments to return. Default is 20. Maximum allowed is 100.

from
integer<int64>

Unix timestamp in milliseconds. Default value is 7 days ago.

to
integer<int64>

Unix timestamp in milliseconds. Default value is now.

after
string<string>

Identifier used for pagination

before
string<string>

Identifier used for pagination

Response

Flag event collection response

totalCount
integer
required

The total number of flag events

Example:

1200

items
object[]
required

A list of flag events

The location and content type of related resources

Example:
{
"next": {
"href": "/api/v2/engineering-insights/flag-events?after=a4290006-1fd1-4ca5-acf7-9f31fac61cf5",
"type": "application/json"
},
"self": {
"href": "/api/v2/engineering-insights/flag-events",
"type": "application/json"
}
}